#include "stdafx.h"
#include "VisualObject.h"
#include "log.h"

VisualObject::VisualObject( INodeObject* transform ) {
	script_in1 = NULL;
	script_in2 = NULL;
	script_in3 = NULL;
	script_in4 = NULL;
	script_in5 = NULL;
	pTransformNode = transform;
	embeddedTransform = NULL;
	pScale = NULL;
	pRotation = NULL;
	pGroup = NULL;
}

void VisualObject::SetScriptInputs( ISFInt32Object* in1, ISFInt32Object* in2, ISFInt32Object* in3, ISFInt32Object* in4, ISFInt32Object* in5 ) {
	script_in1 = in1;
	script_in2 = in2;
	script_in3 = in3;
	script_in4 = in4;
	script_in5 = in5;
	if ( script_in1 == NULL ) {
		log_message( "No script inputs found" );
	} else {
		log_message( "OK, in VisualObject it it NOT NULL" );
	}
}

void VisualObject::SetEmbeddedTransform( INodeObject* xform ) {
	embeddedTransform = xform;
}